# mongoc_client_decryption_decrypt()

## Synopsis

    bool
    mongoc_client_encryption_decrypt (mongoc_client_encryption_t *client_encryption,
                                      const bson_value_t *ciphertext,
                                      bson_value_t *value,
                                      bson_error_t *error);

Performs explicit decryption.

`value` is always initialized (even on failure). Caller must call `bson_value_destroy()` to free.

## Parameters

- `client_encryption`: A mongoc_client_encryption_t

- `ciphertext`: The ciphertext (a BSON binary with subtype 6) to decrypt.

- `value`: A `bson_value_t` for the resulting decrypted value.

- `error`: A `bson_error_t` set on failure.

## Returns

Returns `true` if successful. Returns `false` and sets `error` otherwise.

See also

mongoc_client_enable_auto_encryption()
mongoc_client_encryption_encrypt()